---
title: LayoutShiftAttribution
slug: Web/API/LayoutShiftAttribution
tags:
  - API
  - Interface
  - Layout Instability API
  - LayoutShiftAttribution
  - NeedsExample
  - Performance
  - Reference
  - Web Performance
---
<p>The <code>LayoutShiftAttribution</code> interface of the Layout Instability API provides debugging information about elements which have shifted.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><strong><code>{{domxref("LayoutShiftAttribution.Node")}}</code></strong></dt>
 <dd>Returns the element that has shifted (null if it has been removed).</dd>
 <dt><strong><code>{{domxref("LayoutShiftAttribution.previousRect")}}</code></strong></dt>
 <dd>Returns a <a href="/en-US/docs/Web/API/DOMRect">DOMRect</a> representing the position of the element before the shift.</dd>
 <dt><strong><code>{{domxref("LayoutShiftAttribution.currentRect")}}</code></strong></dt>
 <dd>Returns a <a href="/en-US/docs/Web/API/DOMRect">DOMRect</a> representing the position of the element after the shift.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Layout Instability','#layoutshiftattribution','LayoutShiftAttribution')}}</td>
   <td>{{Spec2('Layout Instability')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.LayoutShiftAttribution")}}</p>
